Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.handler
Class RequestHeaderClientHandler

    java.lang.Object
      javax.xml.rpc.handler.GenericHandler
          org.jboss.portal.wsrp.handler.RequestHeaderClientHandler

All Implemented Interfaces:
  javax.xml.rpc.handler.Handler

    public class RequestHeaderClientHandler

extends javax.xml.rpc.handler.GenericHandler

A request handler that uses a thread local to setup cookies on the wire.

Author:
  Julien Viet, Chris Laprun

Constructor Summary
`RequestHeaderClientHandler()`

Method Summary
`static java.lang.String` | `getCurrentGroupId()`
`static ProducerSessionInformation` | `getCurrentProducerSessionInformation()`
`javax.xml.namespace.QName[]` | `getHeaders()`
`boolean` | `handleRequest(javax.xml.rpc.handler.MessageContext msgContext)`
`boolean` | `handleResponse(javax.xml.rpc.handler.MessageContext msgContext)`
`static void` | `resetCurrentInfo()`
`static void` | `setCurrentGroupId(java.lang.String groupId)`
`static void` | `setCurrentInfo(java.lang.String groupId, ProducerSessionInformation sessionInformation)`

Methods inherited from class javax.xml.rpc.handler.GenericHandler
`destroy, handleFault, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestHeaderClientHandler

    public RequestHeaderClientHandler()

Method Detail

### getHeaders

    public javax.xml.namespace.QName[] getHeaders()

  Specified by:
    `getHeaders` in interface `javax.xml.rpc.handler.Handler`
  Specified by:
    `getHeaders` in class `javax.xml.rpc.handler.GenericHandler`

### handleRequest

    public boolean handleRequest(javax.xml.rpc.handler.MessageContext msgContext)

  Specified by:
    `handleRequest` in interface `javax.xml.rpc.handler.Handler`
  Overrides:
    `handleRequest` in class `javax.xml.rpc.handler.GenericHandler`

### handleResponse

    public boolean handleResponse(javax.xml.rpc.handler.MessageContext msgContext)

  Specified by:
    `handleResponse` in interface `javax.xml.rpc.handler.Handler`
  Overrides:
    `handleResponse` in class `javax.xml.rpc.handler.GenericHandler`

### setCurrentInfo

    public static void setCurrentInfo(java.lang.String groupId,
                                      ProducerSessionInformation sessionInformation)

### resetCurrentInfo

    public static void resetCurrentInfo()

### getCurrentProducerSessionInformation

    public static ProducerSessionInformation getCurrentProducerSessionInformation()

### getCurrentGroupId

    public static java.lang.String getCurrentGroupId()

### setCurrentGroupId

    public static void setCurrentGroupId(java.lang.String groupId)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD